import { world } from '@minecraft/server';


world.beforeEvents.chatSend.subscribe(async (eventData) => {
  const player = eventData.sender;
  switch (eventData.message) {
    case 'www.freeanime.bws':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=!midastab,type=hus909:computer,r=3,c=1] ~~~ function odnswarning-brl`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=midastab,type=hus909:computer,r=3,c=1] ~~~ function midastab-brl`);
      break;
    case 'www.datezone.bws':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=!midastab,type=hus909:computer,r=3,c=1] ~~~ function odnswarning-brl`);
      break;
    case 'www.ogdns-official.bws':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=!midastab,type=hus909:computer,r=3,c=1] ~~~ function odns-brl`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=midastab,type=hus909:computer,r=3,c=1] ~~~ function midastab-brl`);
      break;
    case 'www.minesex.bws':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=!midastab,type=hus909:computer,r=3,c=1] ~~~ function mineses-brl`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=midastab,type=hus909:computer,r=3,c=1] ~~~ function midastab-brl`);
      break;
    case 'www.hus909-computers-addon-about.bws':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=!midastab,type=hus909:computer,r=3,c=1] ~~~ function addon-about-brl`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=midastab,type=hus909:computer,r=3,c=1] ~~~ function midastab-brl`);
      break;
    case 'www.craftcoinminer.bws':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=!midastab,type=hus909:computer,r=3,c=1] ~~~ function craftcoinminer-brl`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=midastab,type=hus909:computer,r=3,c=1] ~~~ function midastab-brl`);
      break;
    case 'www.greenstonecraft-technologies.bws':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=!midastab,type=hus909:computer,r=3,c=1] ~~~ function gstonecraft-tech-brl`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=midastab,type=hus909:computer,r=3,c=1] ~~~ function midastab-brl`);
      break;
    case 'www.resource-paradise.bws':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=!midastab,type=hus909:computer,r=3,c=1] ~~~ function resourceparadise-brl`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=midastab,type=hus909:computer,r=3,c=1] ~~~ function midastab-brl`);
      break;
    case 'www.flexer-jewels.bws':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=!midastab,type=hus909:computer,r=3,c=1] ~~~ function flexerjewels-brl`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=midastab,type=hus909:computer,r=3,c=1] ~~~ function midastab-brl`);
      break;
    case 'www.wogerkers-meat-shop.bws':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=!midastab,type=hus909:computer,r=3,c=1] ~~~ function wogerker-brl`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=midastab,type=hus909:computer,r=3,c=1] ~~~ function midastab-brl`);
      break;
    case 'www.techurity-guardware.bws':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=!midastab,type=hus909:computer,r=3,c=1] ~~~ function techurityguardware-brl`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=midastab,type=hus909:computer,r=3,c=1] ~~~ function midastab-brl`);
      break;
    case 'www.cyberdestruction-hub.bws':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=!midastab,type=hus909:computer,r=3,c=1] ~~~ function cyberdestructionhub-brl`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=midastab,type=hus909:computer,r=3,c=1] ~~~ function midastab-brl`);
      break;
    case 'www.8bitammo.bws':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=husweaponmodcompatible,tag=brlsearch,tag=!midastab,type=hus909:computer,r=3,c=1] ~~~ function eightbitammo-brl`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=husweaponmodcompatible,tag=brlsearch,tag=midastab,type=hus909:computer,r=3,c=1] ~~~ function midastab-brl`);
      break;
    case 'www.whilz-on-de-bloks.bws':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=huscarmodcompatible,tag=brlsearch,tag=!midastab,type=hus909:computer,r=3,c=1] ~~~ function whilzonzebloks-brl`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=huscarmodcompatible,tag=brlsearch,tag=midastab,type=hus909:computer,r=3,c=1] ~~~ function midastab-brl`);
      break;
    case 'www.blockipedia.bws':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[tag=brlsearch,tag=!midastab,type=hus909:computer,r=3,c=1] ~~~ function`);
      break;
    default:
      break;
  }
});