import { world } from '@minecraft/server';



world.beforeEvents.chatSend.subscribe(async (eventData) => {
	const player = eventData.sender;
	switch (eventData.message) {
    case 'modify-time=sec=dec=1':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ scoreboard players remove @s clock_sec 1`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ playsound random.anvil_use @a ~~~ 1 8`);
      break;
    case 'modify-time=sec=dec=5':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ scoreboard players remove @s clock_sec 5`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ playsound random.anvil_use @a ~~~ 1 8`);
      break;
    case 'modify-time=sec=dec=10':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ scoreboard players remove @s clock_sec 10`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ playsound random.anvil_use @a ~~~ 1 8`);
      break;
    case 'modify-time=min=dec=1':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ scoreboard players remove @s clock_min 1`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ playsound random.anvil_use @a ~~~ 1 8`);
      break;
    case 'modify-time=min=dec=5':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ scoreboard players remove @s clock_min 5`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ playsound random.anvil_use @a ~~~ 1 8`);
      break;
    case 'modify-time=min=dec=10':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ scoreboard players remove @s clock_min 10`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ playsound random.anvil_use @a ~~~ 1 8`);
      break;
    case 'modify-time=sec=add=1':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ scoreboard players add @s clock_sec 1`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ playsound random.anvil_use @a ~~~ 1 8`);
      break;
    case 'modify-time=sec=add=5':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ scoreboard players add @s clock_sec 5`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ playsound random.anvil_use @a ~~~ 1 8`);
      break;
    case 'modify-time=sec=add=10':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ scoreboard players add @s clock_sec 10`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ playsound random.anvil_use @a ~~~ 1 8`);
      break;
    case 'modify-time=min=add=1':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ scoreboard players add @s clock_min 1`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ playsound random.anvil_use @a ~~~ 1 8`);
      break;
    case 'modify-time=min=add=5':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ scoreboard players add @s clock_min 5`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ playsound random.anvil_use @a ~~~ 1 8`);
      break;
    case 'modify-time=min=add=10':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ scoreboard players add @s clock_min 10`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=modify_clocktime,type=hus909:computer,r=3,c=1] ~~~ playsound random.anvil_use @a ~~~ 1 8`);
      break;
    case 'uninstall=nuke-operator':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=uninstallselect,tag=nukeappinstalled,type=hus909:computer,r=3,c=1] ~~~ function delete-nuke-operator`);
      break;
    case 'uninstall=weapon-operator':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=uninstallselect,tag=weaponappinstalled,type=hus909:computer,r=3,c=1] ~~~ function delete-weapon-operator`);
      break;
    case 'uninstall=radiusphere':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=uninstallselect,tag=radiusphereappinstalled,type=hus909:computer,r=3,c=1] ~~~ function delete-radiusphere`);
      break;
    case 'uninstall=evision':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=uninstallselect,tag=evisionappinstalled,type=hus909:computer,r=3,c=1] ~~~ function delete-evision`);
      break;
    default:
      break;
  }
});