import { world } from '@minecraft/server';



world.beforeEvents.chatSend.subscribe(async (eventData) => {
	const player = eventData.sender;
	switch (eventData.message) {
    case 'cmd-run=help':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=cmdenabled,type=hus909:computer,r=3,c=1] ~~~ function cmd_help`);
      break;
    case 'cmd-run=gamergodmode=true':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=cmdenabled,type=hus909:computer,r=3,c=1] ~~~ function cmd_godmode-true`);
      break;
    case 'cmd-run=gamergodmode=false':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=cmdenabled,type=hus909:computer,r=3,c=1] ~~~ function cmd_godmode-false`);
      break;
    case 'cmd-run=factory-reset':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=cmdenabled,type=hus909:computer,r=3,c=1] ~~~`);
      break;
    case 'cmd-run=green-screen':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=cmdenabled,type=hus909:computer,r=3,c=1] ~~~ function greenscreen_mode`);
      break;
    case 'cmd-run=delete:crappyos/crapfiles/system69':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=cmdenabled,type=hus909:computer,r=3,c=1] ~~~ function delete_system69`);
      break;
    case 'cmd-run=install-cd':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=cmdenabled,tag=nukeoperator_disk,tag=!nukeappinstalled,type=hus909:computer,r=3,c=1] ~~~ function installatcmd_nuke`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=cmdenabled,tag=weaponoperator_disk,tag=!weaponappinstalled,type=hus909:computer,r=3,c=1] ~~~ function installatcmd_weapon`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=cmdenabled,tag=radiusphere_disk,tag=!radiusphereappinstalled,type=hus909:computer,r=3,c=1] ~~~ function installatcmd_radiusphere`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=cmdenabled,tag=evision_disk,tag=!evisionappinstalled,type=hus909:computer,r=3,c=1] ~~~ function installatcmd_evision`);
      break;
    case 'cmd-run=eject-cd':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[tag=cmdenabled,type=hus909:computer,r=3,c=1] ~~~ event entity @s removefloppydisk`);
      break;
    default:
      break;
  }
});