import { world } from '@minecraft/server';


world.beforeEvents.chatSend.subscribe(async (eventData) => {
	const player = eventData.sender;
	switch (eventData.message) {
    case 'buy=cactus':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=..47}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=48..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=48..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bCactus \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=48..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=48..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/resourceparadise/pricedcactus"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=48..}] ~~~ scoreboard players remove @s voltdoler 48`);
      break;
    case 'buy=coal':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=..79}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=80..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=80..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bCoal \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=80..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=80..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/resourceparadise/pricedcoal"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=80..}] ~~~ scoreboard players remove @s voltdoler 80`);
      break;
    case 'buy=cane':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=..79}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=80..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=80..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bCane \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=80..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=80..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/resourceparadise/pricedcane"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=80..}] ~~~ scoreboard players remove @s voltdoler 80`);
      break;
    case 'buy=string':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=..15}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=16..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=16..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bString \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=16..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=16..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/resourceparadise/pricedstring"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=16..}] ~~~ scoreboard players remove @s voltdoler 16`);
      break;
    case 'buy=sand':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=..31}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=32..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=32..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bSand \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=32..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=32..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/resourceparadise/pricedsand"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=32..}] ~~~ scoreboard players remove @s voltdoler 32`);
      break;
    case 'buy=clay':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=..31}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=32..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=32..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bClay \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=32..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=32..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/resourceparadise/pricedclay"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=32..}] ~~~ scoreboard players remove @s voltdoler 32`);
      break;
    case 'buy=leather':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=..67}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=68..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=68..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bLeather \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=68..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=68..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/resourceparadise/pricedleather"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=68..}] ~~~ scoreboard players remove @s voltdoler 68`);
      break;
    case 'buy=flint':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=..63}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=64..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=64..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bFlint \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=64..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=64..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/resourceparadise/pricedflint"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=64..}] ~~~ scoreboard players remove @s voltdoler 64`);
      break;
    case 'buy=wood':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=..63}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=64..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=64..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bWood \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=64..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=64..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/resourceparadise/pricedwood"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=64..}] ~~~ scoreboard players remove @s voltdoler 64`);
      break;
    case 'buy=stone':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=..111}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=112..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=112..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bStone \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=112..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=112..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/resourceparadise/pricedstone"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=112..}] ~~~ scoreboard players remove @s voltdoler 112`);
      break;
    case 'buy=raw-iron':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=..191}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=192..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=192..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bRaw iron \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=192..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=192..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/resourceparadise/pricedrawiron"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=192..}] ~~~ scoreboard players remove @s voltdoler 192`);
      break;
    case 'buy=raw-copper':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=..159}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=160..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=160..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bRaw copper \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=160..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=160..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/resourceparadise/pricedrawcopper"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=160..}] ~~~ scoreboard players remove @s voltdoler 160`);
      break;
    case 'buy=raw-gold':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=..399}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=400..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=400..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bRaw gold \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=400..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=400..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/resourceparadise/pricedrawgold"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=400..}] ~~~ scoreboard players remove @s voltdoler 400`);
      break;
    case 'buy=gunpowder':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=..239}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=240..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=240..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bGunpowder \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=240..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=240..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/resourceparadise/pricedgunpowder"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=240..}] ~~~ scoreboard players remove @s voltdoler 240`);
      break;
    case 'buy=quartz':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=..191}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=192..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=192..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bQuartz \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=192..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=192..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/resourceparadise/pricedquartz"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=192..}] ~~~ scoreboard players remove @s voltdoler 192`);
      break;
    case 'buy=glowstone-dust':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=..159}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=160..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=160..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bGlowstone dust \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=160..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=160..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/resourceparadise/pricedglowstonedust"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=160..}] ~~~ scoreboard players remove @s voltdoler 160`);
      break;
    case 'buy=redstone-dust':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=..175}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=176..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=176..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bRedstone dust \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=176..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=176..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/resourceparadise/pricedredstone"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_rparadise,tag=site_shopping,scores={voltdoler=176..}] ~~~ scoreboard players remove @s voltdoler 176`);
      break;

    case 'buy=emerald':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=..59}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=60..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=60..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bEmerald \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=60..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=60..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/flexerjewels/pricedemerald"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=60..}] ~~~ scoreboard players remove @s voltdoler 60`);
      break;
    case 'buy=gold-ingot':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=..199}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=200..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=200..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bGold ingot \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=200..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=200..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/flexerjewels/pricedgold"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=200..}] ~~~ scoreboard players remove @s voltdoler 200`);
      break;
    case 'buy=diamond':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=..499}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=500..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=500..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bDiamond \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=500..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=500..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/flexerjewels/priceddiamond"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=500..}] ~~~ scoreboard players remove @s voltdoler 500`);
      break;
    case 'buy=amethyst-shard':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=..699}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=700..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=700..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bAmethyst shard \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=700..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=700..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/flexerjewels/pricedamethyst"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=700..}] ~~~ scoreboard players remove @s voltdoler 700`);
      break;
    case 'buy=netherite-ingot':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=..1199}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=1200..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=1200..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bNetherite ingot \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=1200..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=1200..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/flexerjewels/pricednetherite"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=1200..}] ~~~ scoreboard players remove @s voltdoler 1200`);
      break;
    case 'buy=ender-pearl':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=..399}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=400..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=400..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bEnder pearl \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=400..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=400..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/flexerjewels/pricedenderpearl"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=400..}] ~~~ scoreboard players remove @s voltdoler 750`);
      break;
    case 'buy=totem-of-undying':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=..749}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=750..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=750..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bTotem of undying \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=750..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=750..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/flexerjewels/pricedtotem"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=750..}] ~~~ scoreboard players remove @s voltdoler 750`);
      break;
    case 'buy=echo-shard':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=..1199}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=1200..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=1200..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bEcho shard \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=1200..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=1200..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/flexerjewels/pricedechoshard"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_flexerjewels,tag=site_shopping,scores={voltdoler=1200..}] ~~~ scoreboard players remove @s voltdoler 1200`);
      break;
    
    case 'buy=beef':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=..87}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=88..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=88..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bBeef \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=88..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=88..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/wogerkers_meatshop/pricedbeef"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=88..}] ~~~ scoreboard players remove @s voltdoler 88`);
      break;
    case 'buy=pork':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=..95}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=96..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=96..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bPork \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=96..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=96..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/wogerkers_meatshop/pricedpork"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=96..}] ~~~ scoreboard players remove @s voltdoler 96`);
      break;
    case 'buy=mutton':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=..111}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=112..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=112..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bMutton \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=112..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=112..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/wogerkers_meatshop/pricedmutton"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=112..}] ~~~ scoreboard players remove @s voltdoler 112`);
      break;
    case 'buy=chicken':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=..143}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=144..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=144..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bChicken \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=144..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=144..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/wogerkers_meatshop/pricedchicken"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=144..}] ~~~ scoreboard players remove @s voltdoler 144`);
      break;
    case 'buy=rabbit':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=..191}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=192..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=192..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bRabbit \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=192..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=192..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/wogerkers_meatshop/pricedrabbit"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=192..}] ~~~ scoreboard players remove @s voltdoler 192`);
      break;
    case 'buy=cod':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=..55}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=56..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=56..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bCod \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=56..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=56..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/wogerkers_meatshop/pricedcod"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=56..}] ~~~ scoreboard players remove @s voltdoler 56`);
      break;
    case 'buy=salmon':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=..79}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=80..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=80..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bSalmon \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=80..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=80..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/wogerkers_meatshop/pricedsalmon"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_wogerkermeatshop,tag=site_shopping,scores={voltdoler=80..}] ~~~ scoreboard players remove @s voltdoler 80`);
      break;

    case 'buy=computer':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=..1499}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=1500..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=1500..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bComputer \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=1500..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=1500..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "pcsale"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=1500..}] ~~~ scoreboard players remove @s voltdoler 1500`);
      break;
    case 'buy=printer':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=..749}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=750..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=750..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bPrinter \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=750..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=750..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "printer"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=750..}] ~~~ scoreboard players remove @s voltdoler 750`);
      break;
    case 'buy=electronic-container':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=..499}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=500..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=500..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bElectromagnetic item container \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=500..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=500..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "itemsensor"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=500..}] ~~~ scoreboard players remove @s voltdoler 500`);
      break;
    case 'buy=wireless-mailbox':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=..799}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=800..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=800..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bWireless mailbox \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=800..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=800..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mailbox"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=800..}] ~~~ scoreboard players remove @s voltdoler 800`);
      break;
    case 'buy=pc-modifier':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=..49}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=50..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=50..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bComputer modification device \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=50..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=50..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "pcmodifier"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=50..}] ~~~ scoreboard players remove @s voltdoler 50`);
      break;
    case 'buy=vdollar-vending-machine':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=..249}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=250..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=250..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bVolt-dollar vending machine \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=250..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=250..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "vdollar_vmachine"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_gstonecrafttech,tag=site_shopping,scores={voltdoler=250..}] ~~~ scoreboard players remove @s voltdoler 250`);
      break;

    case 'buy=e-door':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=..599}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=600..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=600..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bElectronic door \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=600..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=600..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "computerdoor"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=600..}] ~~~ scoreboard players remove @s voltdoler 600`);
      break;
    case 'buy=evision-disk':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=..1149}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=1150..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=1150..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bE-vision floppy disk \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=1150..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=1150..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/techurityguardware/evisiondisk"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=1150..}] ~~~ scoreboard players remove @s voltdoler 1150`);
      break;
    case 'buy=evision-camera':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=..349}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=350..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=350..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bE-vision camera \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=350..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=350..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "computercctv"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=350..}] ~~~ scoreboard players remove @s voltdoler 350`);
      break;
    case 'buy=radiusphere-disk':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=..1499}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=1500..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=1500..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased §bRadiusphere floppy disk \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=1500..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=1500..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/techurityguardware/radiuspheredisk"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_techurityguardware,tag=site_shopping,scores={voltdoler=1500..}] ~~~ scoreboard players remove @s voltdoler 1500`);
      break;

    case 'buy=midastab':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_cyberdestructionhub,tag=site_shopping,scores={voltdoler=..749}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_cyberdestructionhub,tag=site_shopping,scores={voltdoler=750..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_cyberdestructionhub,tag=site_shopping,scores={voltdoler=750..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§cSuccessfully purchased §eMidasTAB USB \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_cyberdestructionhub,tag=site_shopping,scores={voltdoler=750..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_cyberdestructionhub,tag=site_shopping,scores={voltdoler=750..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/cyberdestructionhub/midastab"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_cyberdestructionhub,tag=site_shopping,scores={voltdoler=750..}] ~~~ scoreboard players remove @s voltdoler 750`);
      break;
    case 'buy=forgorus':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_cyberdestructionhub,tag=site_shopping,scores={voltdoler=..2499}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_cyberdestructionhub,tag=site_shopping,scores={voltdoler=2500..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_cyberdestructionhub,tag=site_shopping,scores={voltdoler=2500..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§cSuccessfully purchased §eForgorus USB \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_cyberdestructionhub,tag=site_shopping,scores={voltdoler=2500..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_cyberdestructionhub,tag=site_shopping,scores={voltdoler=2500..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/cyberdestructionhub/forgorus"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_cyberdestructionhub,tag=site_shopping,scores={voltdoler=2500..}] ~~~ scoreboard players remove @s voltdoler 2500`);
      break;
    case 'buy=agonymonk':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_cyberdestructionhub,tag=site_shopping,scores={voltdoler=..4249}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_cyberdestructionhub,tag=site_shopping,scores={voltdoler=4250..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_cyberdestructionhub,tag=site_shopping,scores={voltdoler=4250..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§cSuccessfully purchased §eAgonymonk USB \n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_cyberdestructionhub,tag=site_shopping,scores={voltdoler=4250..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_cyberdestructionhub,tag=site_shopping,scores={voltdoler=4250..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/cyberdestructionhub/agonymonk"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_cyberdestructionhub,tag=site_shopping,scores={voltdoler=4250..}] ~~~ scoreboard players remove @s voltdoler 4250`);
      break;

    case 'deal=confirm':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=ad_hotgrils,tag=site_offer_deal,scores={voltdoler=..299}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=ad_hotgrils,tag=site_offer_deal,scores={voltdoler=300..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=ad_hotgrils,tag=site_offer_deal,scores={voltdoler=300..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§dthank you for giving me moni\n\n§ayou should expect her at your §bdelivorter"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=ad_hotgrils,tag=site_offer_deal,scores={voltdoler=300..}] ~~~ playsound vineboombass @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=ad_hotgrils,tag=site_offer_deal,scores={voltdoler=300..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ function hotgrils_real`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=ad_hotgrils,tag=site_offer_deal,scores={voltdoler=300..}] ~~~ scoreboard players set @s voltdoler 0`);

      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=ad_fertilizer,tag=site_offer_deal,scores={voltdoler=..198}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=ad_fertilizer,tag=site_offer_deal,scores={voltdoler=199..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=ad_fertilizer,tag=site_offer_deal,scores={voltdoler=199..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§athank you for buying our product\n\n§ethe product should arrive in your §bdelivorter"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=ad_fertilizer,tag=site_offer_deal,scores={voltdoler=199..}] ~~~ playsound vineboombass @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=ad_fertilizer,tag=site_offer_deal,scores={voltdoler=199..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "unobtainables/fertilizer"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=ad_fertilizer,tag=site_offer_deal,scores={voltdoler=199..}] ~~~ scoreboard players remove @s voltdoler 199`);
      break;
    

    case 'buy=flares':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=..99}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=100..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=100..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased§e Flare\n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=100..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=100..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/8bit_ammo/flares"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=100..}] ~~~ scoreboard players remove @s voltdoler 100`);
      break;
    case 'buy=iron-bullets':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=..149}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=150..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=150..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased§e Iron bullet\n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=150..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=150..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/8bit_ammo/ironbullet"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=150..}] ~~~ scoreboard players remove @s voltdoler 150`);
      break;
    case 'buy=gold-bullets':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=..249}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=250..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=250..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased§e Gold bullet\n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=250..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=250..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/8bit_ammo/goldbullet"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=250..}] ~~~ scoreboard players remove @s voltdoler 250`);
      break;
    case 'buy=diamond-bullets':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=..549}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=550..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=550..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased§e Diamond bullet\n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=550..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=550..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/8bit_ammo/diamondbullet"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=550..}] ~~~ scoreboard players remove @s voltdoler 550`);
      break;
    case 'buy=shotgun-shells':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=..299}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=300..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=300..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased§e Shotgun shell\n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=300..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=300..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/8bit_ammo/shotgunshell"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=300..}] ~~~ scoreboard players remove @s voltdoler 300`);
      break;
    case 'buy=rf-batteries':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=..399}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=400..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=400..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased§e Redstone flux batteriess\n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=400..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=400..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/8bit_ammo/rfbattery"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=400..}] ~~~ scoreboard players remove @s voltdoler 400`);
      break;
    case 'buy=cryo-tanks':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=..599}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=600..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=600..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased§e Cryo tanks\n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=600..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=600..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/8bit_ammo/cryotank"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=600..}] ~~~ scoreboard players remove @s voltdoler 600`);
      break;
    case 'buy=gas-tanks':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=..799}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=800..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=800..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased§e Gas tanks\n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=800..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=800..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/8bit_ammo/gastank"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=800..}] ~~~ scoreboard players remove @s voltdoler 800`);
      break;
    case 'buy=rocket-shells':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=..699}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=700..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=700..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased§e Rocket shells\n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=700..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=700..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/8bit_ammo/rocketshell"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=700..}] ~~~ scoreboard players remove @s voltdoler 700`);
      break;
    case 'buy=uranium-capsules':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=..1499}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=1500..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=1500..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased§e Uranium capsules\n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=1500..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=1500..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/8bit_ammo/uraniumcapsule"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_8bitammo,tag=site_shopping,scores={voltdoler=1500..}] ~~~ scoreboard players remove @s voltdoler 1500`);
      break;

    case 'buy=engine-activator':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=..99}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=100..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=100..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased§6Engine activator\n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=100..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=100..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/whilz_on_de_bloks/engineactivator"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=100..}] ~~~ scoreboard players remove @s voltdoler 100`);
      break;
    case 'buy=gas-can':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=..399}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=400..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=400..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased§6Gas cans\n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=400..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=400..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ loot spawn ~ ~ ~ loot "mineweb/whilz_on_de_bloks/gascan"`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=400..}] ~~~ scoreboard players remove @s voltdoler 400`);
      break;
    case 'buy=te-096':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=..1999}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=2000..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=2000..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased§6TickEngine-096\n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=2000..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=2000..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ function vehicle_tickengine`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=2000..}] ~~~ scoreboard players remove @s voltdoler 2000`);
      break;
    case 'buy=sk-153':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=..2749}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=2750..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=2750..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased§6Shoukart-096\n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=2750..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=2750..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ function vehicle_shukart`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=2750..}] ~~~ scoreboard players remove @s voltdoler 2750`);
      break;
    case 'buy=cd-069':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=..2999}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=3000..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=3000..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased§6CuberDrift-069\n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=3000..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=3000..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ function vehicle_cuberdrift`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=3000..}] ~~~ scoreboard players remove @s voltdoler 3000`);
      break;
    case 'buy=rh-101':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=..3999}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=4000..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=4000..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased§6 RacingHouse-101\n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=4000..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=4000..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ function vehicle_racinghouse`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=4000..}] ~~~ scoreboard players remove @s voltdoler 4000`);
      break;
    case 'buy=patherist-225':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=..5999}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=6000..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=6000..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased§6 Patherist-2250\n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=6000..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=6000..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ function vehicle_patherist`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=6000..}] ~~~ scoreboard players remove @s voltdoler 6000`);
      break;
    case 'buy=tcr-2022':
      eventData.cancel = true;
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=..7499}] ~~~ function mineweb_purchased_failed`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=7500..}] ~~~ function mineweb_purchased_success`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=7500..}] ~~~ tellraw @a[r=3] {"rawtext":[{"text":"\n\n\n\n\n\n\n\n\n\n\n§aSuccessfully purchased§6 TheChunkDestroyer-2022\n\n§7(make sure you have delivorter near your computer)"}]}`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=7500..}] ~~~ playsound yaysfx @a ~~~ 1 2`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=7500..}] ~~~ execute @e[r=50,c=1,type=hus909:delivorter] ~~~ function vehicle_thechunkdestroyer`);
      await player.runCommandAsync(`execute @s ~~~ execute @e[type=hus909:computer,c=1,r=3,tag=brl_whilzondebloks,tag=site_shopping,scores={voltdoler=7500..}] ~~~ scoreboard players remove @s voltdoler 7500`);
      break;
    default:
      break;
  }
});