import { world } from '@minecraft/server';



world.beforeEvents.chatSend.subscribe(async (eventData) => {
	const player = eventData.sender;
	switch (eventData.message) {
    case 'rdetect=furry':
    case 'rdetect=abnormal-animal':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ tag @s add rspheredetect_furry`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ function radiusphere_openradar`);
      break;
    case 'rdetect=supernatural':
    case 'rdetect=super-natural':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ tag @s add rspheredetect_supernatural`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ function radiusphere_openradar`);
      break;
    case 'rdetect=femboy':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ tag @s add rspheredetect_femboy`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ function radiusphere_openradar`);
      break;
    case 'rdetect=online-dater':
    case 'rdetect=edater':
    case 'rdetect=oder':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ tag @s add rspheredetect_onlinedater`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ function radiusphere_openradar`);
      break;
    case 'rdetect=dangerous':
    case 'rdetect=danger':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ tag @s add rspheredetect_dangerous`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ function radiusphere_openradar`);
      break;
    case 'rdetect=artificial-intelligence':
    case 'rdetect=ai':
    case 'rdetect=robot':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ tag @s add rspheredetect_artiligence`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ function radiusphere_openradar`);
      break;
    case 'rdetect=emo':
    case 'rdetect=punk':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ tag @s add rspheredetect_emo`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ function radiusphere_openradar`);
      break;
    case 'rdetect=anme':
    case 'rdetect=anime':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ tag @s add rspheredetect_anme`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ function radiusphere_openradar`);
      break;
    case 'rdetect=memer':
    case 'rdetect=funni':
    case 'rdetect=funny':
    case 'rdetect=shitposter':
    case 'rdetect=shtposter':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ tag @s add rspheredetect_memer`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ function radiusphere_openradar`);
      break;
    case 'rdetect=btch':
    case 'rdetect=bich':
    case 'rdetect=btches':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ tag @s add rspheredetect_beach`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ function radiusphere_openradar`);
      break;
    case 'rdetect=wanted':
      eventData.cancel = true;
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ tag @s add rspheredetect_wanted`);
      await player.runCommandAsync (`execute @s ~~~ execute @e[type=hus909:computer,r=3,c=1,tag=radiuspheresearch] ~~~ function radiusphere_openradar`);
      break;
    default:
      break;
  }
});